//===================
//Map Texture Shaders
//===================

// *** Sky ***
textures/shipwreck/ciel
{
	qer_editorimage textures/shipwreck/ciel.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 150
	
	q3map_globaltexture
	q3map_lightmapFilterRadius 0 32
	
	skyparms env/shipwreck_sky - -
	nopicmip
	nomipmaps
	
	{	map env/shipwreck_clouds.jpg
		tcMod scale 1 1
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}

}

// *** Ladder ***
textures/shipwreck/ladderclip
{
	qer_editorimage textures/shipwreck/ladderclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.5
}

// *** system ***
textures/shipwreck/caulk
{
	qer_editorimage textures/shipwreck/caulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
}

textures/shipwreck/playerclip
{
	qer_editorimage textures/shipwreck/playerclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm playerclip
	qer_trans 0.3
}

textures/shipwreck/origin
{
	qer_editorimage textures/shipwreck/origin.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm origin
}

// *** Lights ***

textures/shipwreck/flash_rouge
{
	qer_editorimage textures/shipwreck/flash_rouge.tga
	surfaceparm nolightmap
	q3map_surfacelight 30000
	{
		map textures/shipwreck/flash_rouge.tga
	}
}

textures/shipwreck/flash_bleu
{
	qer_editorimage textures/shipwreck/flash_bleu.tga
	surfaceparm nolightmap
	q3map_surfacelight 30000
	{
		map textures/shipwreck/flash_bleu.tga
	}
}

textures/shipwreck/lumiere01
{
	qer_editorimage textures/shipwreck/lumiere01.tga
	surfaceparm nolightmap
	q3map_surfacelight 10000
	{
		map textures/shipwreck/lumiere01.tga
	}
}

textures/shipwreck/lumiere01bis
{
	qer_editorimage textures/shipwreck/lumiere01.tga
	surfaceparm nolightmap
	q3map_surfacelight 30000
	{
		map textures/shipwreck/lumiere01.tga
	}
}

textures/shipwreck/lumiere02
{
	qer_editorimage textures/shipwreck/lumiere02.tga
	surfaceparm nolightmap
	q3map_surfacelight 8000
	{
		map textures/shipwreck/lumiere02.tga
	}
}

textures/shipwreck/lumiere03
{
	qer_editorimage textures/shipwreck/lumiere03.jpg
	surfaceparm nolightmap
	q3map_surfacelight 80000
	{
		map textures/shipwreck/lumiere03.jpg
	}
}

// *** Glass ***
textures/shipwreck/vitre
{
	qer_editorimage textures/shipwreck/vitre.tga
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/shipwreck/vitre.tga
		tcGen environment
		tcMod scroll 0.0125 0.005
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

// *** Fence ***
textures/shipwreck/grillage
{
	qer_editorimage textures/shipwreck/grillage.tga
	qer_trans .4
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable
	{
		map textures/shipwreck/grillage.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// *** Water ***
textures/shipwreck/flotte_ultim
{
	qer_editorimage textures/shipwreck/FoamySeaWater-ship.tga
	qer_trans 0.75
	q3map_fancywater 2 0.85 0.8 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm fog
	fogparms ( .1 .1 .11 ) 512
	q3map_cloneshader textures/shipwreck/water_shipwreck02

	{
		map textures/shipwreck/FoamySeaWater-ship.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.1 0.1 0.1 .1
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/shipwreck/water_shipwreck02
{
	qer_editorimage textures/shipwreck/FoamySeaWater-ship.tga
	q3map_nofancywater
	qer_trans 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	
	{
		map textures/shipwreck/FoamySeaWater-ship.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.1 0.1 0.1 .1
	}
}

// *** Fog (not used in Shipwreck) ***
textures/shipwreck/fog
{
	qer_editorimage textures/shipwreck/fog.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.4
	fogparms ( .5 .5 .5 ) 3000
}

// *** Animated texture (not used in Shipwreck) ***
textures/shipwreck/ecran01
{
	qer_editorimage textures/shipwreck/ecran01.jpg
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		animmap 2 textures/shipwreck/ecran01.jpg textures/shipwreck/ecran01.jpg textures/shipwreck/ecran01.jpg textures/shipwreck/ecran02.jpg
	}
}